%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id hackontext@d3vil0p3r
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

Name:           mozilla-hackontext
Version:        1.4
Release:        %{autorelease}
Summary:        Copy parameters to your favourite infosec tool.

License:        GPL-3.0-only
URL:            https://github.com/D3vil0p3r/hackontext/
Source0:        https://addons.mozilla.org/firefox/downloads/file/4488137/hackontext-%{version}.zip
Source1:        mozilla-hackontext.metainfo.xml

Requires:       mozilla-filesystem
BuildArch:      noarch

# GNOME Software Center not present on EL < 7
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif

%description
HacKontext allows to inject website information, HTTP headers and body parameters
of the active browser tab on specific InfoSec command-line tools in order to improve
and speed up their correct usage.

%prep
%setup -q -c

%build

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{src_ext_id}.xpi
install -Dpm644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{firefox_inst_dir}/%{src_ext_id}.xpi
# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_metainfodir}/%{name}.metainfo.xml
%endif

%changelog
%autochangelog
